alias testme {

  ;: Create the C++ Object in the DLL
  ;: Accepts no Parameters
  echo -a $dll($scriptdirciddll.dll, mCreateCID,)
  
  ;: Set the Baud Rate
  ;: Accepts: 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 57600, 115200, 128000, 256000
  echo -a $dll($scriptdirciddll.dll, mSetBaudRate, 4800)
  
  ;: Set the Parity
  ;: Accepts: 
  ;: 0 for NO PARITY
  ;: 1 for ODD PARITY
  ;: 2 for EVEN PARITY
  ;: 3 for MARK PARITY
  ;: 4 for SPACE PARITY
  echo -a $dll($scriptdirciddll.dll, mSetParity, 0)
  
  ;: Set the Stop Bits
  ;: Accepts:
  ;: 0 for 1 STOP BIT
  ;: 1 for 1.5 STOP BIT
  ;: 2 for 2 STOP BITS
  echo -a $dll($scriptdirciddll.dll, mSetStopBits, 0)
  
  ;: Open the COM Port for Reading/Writing
  ;: Accepts: Whatever you have COM1, COM2, COM3 ..
  echo -a $dll($scriptdirciddll.dll, mInitCOM, COM1)
  
  ;: Once everything is prepared now we can start the event loop
  ;: which will signal mIRC when new events come in
  echo -a $dll($scriptdirciddll.dll, mReadCOM,)

}

on *:SIGNAL:CALLERID:{

  ;: I apologize i did not take the time to trim the junk data away in C++
  ;: however %data holds as-is data outcoming from the COM
  var %data $1-
  
  ;: Remove the \r characters
  var %cleanedupdata $remove(%data, $chr(10))
  
  ;: Replace the \n characters with @'s and then remove double @'s
  var %easytogettokdata $replace($replace(%cleanedupdata, $chr(13), @), @@, @)
  
  ;: Now you can use %easytogettokdata and get your results seperately by using @ as the seperator

  ;: Sometimes the buffer holds RING and data, but not DATE.
  ;: just a quick workaround to when the phone is ringing and when data is present.
  
  ;: Ringing!
  if (*RING* iswm $1-) { echo -a RINGING! }
  
  ;: Caller ID Data is present
  if (*DATE* iswm $1-) { echo -a %easytogettokdata }
}
