#ifndef _CALLERID_H
#define _CALLERID_H
#include <windows.h>
#define _WIN32_WINNT 0x0600


class CallerID
{
public:
	CallerID();
	~CallerID();
	int SetBaudRate(int iBaudRate);
	int SetParity(int iParity);
	int SetStopBits(int iBits);

	int InitCOM(char * com);

	char * CallerID::ReadCOM(void);
	void CallerID::KillCOM(void);

	void ClearBuffer(void);

private:
	HANDLE hSerial;
	DCB dcbSerialParams;
	COMMTIMEOUTS timeouts;
	char szBuff[400];
    int x;
	DWORD n;
	DWORD myBytesRead;

	bool bBaudRate;
	bool bParity;
	bool bBits;
	bool bInit;
};

#endif